#include "install.h"

extern FILE *flog;
extern char *log;

static int gettarballurl(char *url);

int downloadtarball(void)
{
	char url[STRING_SIZE];
	int done;
	int rc;
	char commandstring[STRING_SIZE];
	
	done = 0;
	while (!done)
	{
		rc = gettarballurl(url);
		if (rc != 1)
			return 0;
		
		snprintf(commandstring, STRING_SIZE, "/cdrom/bin/wget -P /harddisk %s", url);
		if (!(runcommandwithstatus(commandstring, "Downloading...")))
			done = 1;
		else
			errorbox("Failed to download.");
	}
	
	return 1;
}	
		
static int gettarballurl(char *url)
{
	char *values[] = {	NULL, NULL };	/* pointers for the values. */
	struct newtWinEntry entries[] =
		{ { "", &values[0], 0,}, { NULL, NULL, 0 } };
	int rc;
	
	rc = newtWinEntries(TITLE, "Enter the URL to the SmoothWall tar.gz file. " \
		"WARNING: DNS not available!  This should end with the file 'smoothwall.tgz'.",
		50, 5, 5, 40, entries, "OK", "Cancel", NULL);
		
	strncpy(url, values[0], STRING_SIZE);
	
	return rc;
}
